List VMs
curl --request GET \
--url https://api.rafftechnologies.com/api/v1/vms \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rafftechnologies.com/api/v1/vms"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rafftechnologies.com/api/v1/vms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "my-ubuntu-server",
"cpu": 2,
"ram": 4,
"storage": 80,
"added_storage": 0,
"total_storage": 80,
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_name": "Ubuntu",
"template_version": "24.10x64",
"price_per_hour": "0.027764",
"pricing_id": 3,
"region": "us-east",
"active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": "<string>",
"created_by": "<string>",
"billing_type": "payg",
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backup_type": "weekly",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public_ipv4_address": "15.204.178.3",
"public_ipv6_address": "<string>",
"private_ipv4_address": "10.10.0.96",
"private_ipv6_address": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>",
"priority": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}
],
"total": 123
}{
"error": "<string>",
"message": "<string>"
}Lifecycle
List VMs
List all virtual machines for the authenticated account.
GET
/
api
/
v1
/
vms
List VMs
Updated May 8, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Query Parameters
Filter by project ID
Filter by region
Available options:
us-east Filter by VM status. Values: initiating (queued/setup), provisioning (being created), booting (starting), active (running), passive (stopped), finalizing (shutting down), failure (failed).
Available options:
active, passive, provisioning, booting, initiating, finalizing, failure Maximum number of VMs to return
Number of VMs to skip for pagination
Last modified on May 8, 2026
⌘I